Spis treści
Indeks 🔎︎

# Instrukcja GoSub...Return

Wywołuje podprogram oznaczony etykietą z innego podprogramu lub funkcji. Instrukcje umieszczone za etykietą są wykonywane aż do napotkania instrukcji Return. Następnie wykonywanie programu jest kontynuowane od instrukcji następującej bezpośrednio po instrukcji GoSub.

## Składnia:

    Zobacz Parametry

## Parametry:

Sub/Function

blok instrukcji

Label

blok instrukcji

GoSub Etykieta

Exit Sub/Function

Etykieta:

blok instrukcji

Return

End Sub/Function

Instrukcja GoSub służy do wywołania podprogramu oznaczonego etykietą z innego podprogramu lub funkcji. Nazwa etykiety musi być zakończona dwukropkiem (":").

Jeśli program napotka instrukcję Return, która nie była poprzedzona instrukcją GoSub, LibreOffice zwraca komunikat o błędzie. W celu upewnienia się, że program opuści procedurę (Sub) lub funkcję (Function), zanim napotka następną instrukcję Return, należy użyć instrukcji Exit Sub lub Exit Function.

Poniższy przykład przedstawia użycie instrukcji GoSub i Return. Dwukrotne uruchomienie sekcji programu powoduje obliczenie pierwiastka kwadratowego dwóch liczb wprowadzonych przez użytkownika.

## Przykład:

    Sub ExampleGoSub
    Dim iInputa As Single
    Dim iInputb As Single
    Dim iInputc As Single
        iInputa = Int(InputBox("Wprowadź pierwszą liczbę: ","Wprowadzenie liczby"))
        iInputb = Int(InputBox("Wprowadź drugą liczbę: ","Wprowadzenie liczby"))
        iInputc=iInputa
        GoSub SquareRoot
        Print "Pierwiastek kwadratowy z ";iInputa;" wynosi ";iInputc
        iInputc=iInputb
        GoSub SquareRoot
        Print "Pierwiastek kwadratowy z ";iInputb;" wynosi ";iInputc
        Exit Sub
    SquareRoot:
        iInputc=sqr(iInputc)
        Return
    End Sub